3.2. Sottotitoli e OSD
Indietro | Capitolo 3. Utilizzo | Avanti

## 3.2. Sottotitoli e OSD

MPlayer può visualizzare sottotitoli insieme con i file video. Attualmente sono supportati i seguenti formati:

- VOBsub

- OGM

- CC (closed caption)

- MicroDVD

- SubRip

- SubViewer

- Sami

- VPlayer

- RT

- SSA

- PJS (Phoenix Japanimation Society)

- MPsub

- AQTitle

- JACOsub

MPlayer può fare il dump dei suddetti formati di sottotitoli (tranne i primi tre) nei formati di destinazione seguenti, con le rispettive opzioni:

- MPsub: `-dumpmpsub`

- SubRip: `-dumpsrtsub`

- MicroDVD: `-dumpmicrodvdsub`

- JACOsub: `-dumpjacosub`

- Sami: `-dumpsami`

MEncoder può fare il dump dei sottotitoli DVD nel formato VOBsub.

Le opzioni da riga comando sono leggermente differenti per i diversi formati:

Sottotitoli VOBsub. I sottotitoli VOBsub consistono in un grande (qualche megabyte) file `.SUB`, e un file `.IDX` e/o `.IFO` facoltativi. Se hai dei file tipo ``esempio.sub``, ``esempio.ifo`` (facoltativo), ``esempio.idx`` - devi passare a MPlayer le opzioni `-vobsub esempio [-vobsubid `id`]` (il percorso completo è facoltativo). L'opzione `-vobsubid` è come `-sid` per i DVD, con essa puoi scegliere tra le tracce (lingue) dei sottotitoli. Nel caso in cui `-vobsubid` sia omessa, MPlayer cercherà di utilizzare la lingua fornita dall'opzione `-slang` e ricadrà sul `langidx` nel file `.IDX` per impostare la lingua dei sottotitoli. Se fallisce, non ci saranno sottotitoli.

Altri sottotitoli. Gli altri formati consistono in un file di testo singolo contenente tempo, posizionamento e informazioni di testo. Utilizzo: se hai un file tipo ``esempio.txt``, devi passare l'opzione `-sub `esempio.txt`` (il percorso completo è facoltativo).

Regolazione tempi e posizionamento dei sottotitoli:

`-subdelay `sec``

  Differisce i sottotitoli di ``sec`` secondi. Può essere un valore negativo. Il valore viene aggiunto al contatore della posizione nel filmato.

`-subfps `FREQUENZA``

  Specifica la frequenza fotogrammi/secondo del file sottotitoli (valore decimale).

`-subpos `0-100``

  Specifica la posizione dei sottotitoli.

Se subisci un ritardo crescente tra il filmato e i sottotitoli quando usi un file sottotitoli MicroDVD, molto facilmente la frequenza del filmato e del file dei sottotitoli sono diverse. Per favore nota che il formato sottotitoli MicroDVD usa numeri assoluti di fotogrammi per la sua temporizzazione, ma non vi è alcuna informazione sugli fps, per cui con tale formato bisognerebbe usare l'opzione `-subfps`. Se vuoi risolvere questo problema permanentemente, devi convertire manualmente la frequenza fotogrammi del file dei sottotitoli. MPlayer può fare questa conversione per te:

    mplayer -dumpmicrodvdsub -fps fps_sottotitoli -subfps fps_avi \
        -sub nomefile_sottotitoli dummy.avi

Riguardo i sottotitoli DVD, leggi la sezione DVD.

Indietro | Risali | Avanti
3.1. Riga comando | Partenza | 3.3. Controlli